StringIndexOutOfBoundsException (Java Platform SE 8 )
Keywords: java.lang.StringIndexOutOfBoundsException class
Date: 2017-07-29

compact1, compact2, compact3
java.lang

## Class StringIndexOutOfBoundsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IndexOutOfBoundsException
        - - java.lang.StringIndexOutOfBoundsException

- All Implemented Interfaces:
    Serializable

      public class StringIndexOutOfBoundsException
      extends IndexOutOfBoundsException

  Thrown by `String` methods to indicate that an index is either negative or greater than the size of the string. For some methods such as the charAt method, this exception also is thrown when the index is equal to the size of the string.
  Since:
    JDK1.0
  See Also:
    `String.charAt(int)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringIndexOutOfBoundsException()` Constructs a `StringIndexOutOfBoundsException` with no detail message.
    `StringIndexOutOfBoundsException(int index)` Constructs a new `StringIndexOutOfBoundsException` class with an argument indicating the illegal index.
    `StringIndexOutOfBoundsException(String s)` Constructs a `StringIndexOutOfBoundsException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StringIndexOutOfBoundsException

          public StringIndexOutOfBoundsException()

      Constructs a `StringIndexOutOfBoundsException` with no detail message.
      Since:
        JDK1.0.

    - #### StringIndexOutOfBoundsException

          public StringIndexOutOfBoundsException(String s)

      Constructs a `StringIndexOutOfBoundsException` with the specified detail message.
      Parameters:
        `s` - the detail message.

    - #### StringIndexOutOfBoundsException

          public StringIndexOutOfBoundsException(int index)

      Constructs a new `StringIndexOutOfBoundsException` class with an argument indicating the illegal index.
      Parameters:
        `index` - the illegal index.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.